stages:
  - lint
  - build

variables:
  GIT_STRATEGY: clone
  GIT_DEPTH: "500"

lint:
  stage: lint
  image: alpinelinux/apkbuild-lint-tools:latest
  script:
    - lint
  allow_failure: true
  only:
    - merge_requests

.build:
  stage: build
  image: alpinelinux/alpine-gitlab-ci:latest
  script:
    - build.sh
  artifacts:
    paths:
      - packages/
      - keys/
    expire_in: 1 day
  only:
    - merge_requests

build-x86_64:
  extends: .build
  artifacts:
    name: MR${CI_MERGE_REQUEST_ID}_x86_64

build-x86:
  extends: .build
  image:
    name: alpinelinux/alpine-gitlab-ci:latest-x86
    entrypoint: ["linux32", "sh", "-c"]
  artifacts:
    name: MR${CI_MERGE_REQUEST_ID}_x86

build-ppc64le:
  extends: .build
  artifacts:
    name: MR${CI_MERGE_REQUEST_ID}_ppc64le

build-aarch64:
  extends: .build
  artifacts:
    name: MR${CI_MERGE_REQUEST_ID}_aarch64

build-armv7:
  extends: .build
  image:
    name: alpinelinux/alpine-gitlab-ci:latest-armv7
    entrypoint: ["linux32", "sh", "-c"]
  artifacts:
    name: MR${CI_MERGE_REQUEST_ID}_armv7

build-armhf:
  extends: .build
  image:
    name: alpinelinux/alpine-gitlab-ci:latest-armhf
    entrypoint: ["linux32", "sh", "-c"]
  artifacts:
    name: MR${CI_MERGE_REQUEST_ID}_armhf
